commit:     4f32fd46a00b538c6b808c388d88833d103d62f0
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 10 06:41:10 2022 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Thu Feb 10 06:41:10 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f32fd46

www-apps/drupal: 7.87 bump

Bug: https://bugs.gentoo.org/831818
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 www-apps/drupal/Manifest           |  1 +
 www-apps/drupal/drupal-7.87.ebuild | 58 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/www-apps/drupal/Manifest b/www-apps/drupal/Manifest
index 4572a9f091da..7b34c8a70f0e 100644
--- a/www-apps/drupal/Manifest
+++ b/www-apps/drupal/Manifest
@@ -1,4 +1,5 @@
 DIST drupal-7.82.tar.gz 3348407 BLAKE2B 
c01c93fda768d587a009c9007a019f01461ae3fed1010c80a4636971fcdf4ce97e1cad61a60b447698d8e2d6d39217ead52de3cf915f04ad620357aafb3209a0
 SHA512 
41b844df868971ea21fa574daf46502edcb78f4287c223694fe967541da72dfe9b360e1764441eddafb64b782d14408eac58ecff7eaed4bc1fd832b35f0c7e2d
+DIST drupal-7.87.tar.gz 3357750 BLAKE2B 
60d294d927b577ce74c56389493691d4d70fe38a4bc182e88add4c9f3820906e4b5289f4985afe470b240956959d9d171ba262d0658ab712f1ca16084efa2821
 SHA512 
5122bfbba9bfab89d67823683ce4ec827d49f545aca685cbab7c751f95fbaf0d537bb8d33cdf9b6fb1b52c924e196e9d33498a1ae63771632d75025315ae2183
 DIST drupal-8.9.18.tar.gz 19831928 BLAKE2B 
e8f42a00e8efe1c3a0b7a995bb9f55b37c590945f12268e86887f0243ab2691222449acce5f61d4ec853e0d13bb81b2d8d39a7702c2651368adaaa2438004114
 SHA512 
2c3103489d4b7ecee432fba1a1ef597b07701e46920a4cf82fc9d078368a0259a28e62e92a96550b23950c4ff6ae943877f7b8f6ef556381bf633daa3d4d0846
 DIST drupal-9.1.12.tar.gz 18568186 BLAKE2B 
74f20477867adc92eb6a87d2e3f4bd9449a69c66c723a03af9789d99f913a839324406aedaca1c731b5616fbde70bbd8e1a5fc469b2cc259385655fae0209176
 SHA512 
43335b11cddfd73271afa66c825316d48b0dece4d221119c571629ee8d61aeeea85d48674bc53a479b954d3f24648cd7571c4b6c84e560abae8bb682abf3468e
 DIST drupal-9.2.4.tar.gz 18860644 BLAKE2B 
f7ed7f5bd4131c0a167fe5c51c54fa7499bf4cecab9ce41fed1516eba842e40ea1191e51a1e2cb4a0f5426d86803b511a57d08f056ad8635ca2a55496e0b1237
 SHA512 
956a1c62fd9294f7d5fa1de3d620fea71db08c4ccea6c8d575e5c2cd6f06afd8380601be5a66d7f3ed4c78bfde9a1d2fd662a7fcd2f16b4484fee298b8cdd93b

diff --git a/www-apps/drupal/drupal-7.87.ebuild 
b/www-apps/drupal/drupal-7.87.ebuild
new file mode 100644
index 000000000000..f5302a46a2ad
--- /dev/null
+++ b/www-apps/drupal/drupal-7.87.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit webapp
+
+MY_PV=${PV:0:3}.0
+
+DESCRIPTION="PHP-based open-source platform and content management system"
+HOMEPAGE="https://www.drupal.org/";
+SRC_URI="https://ftp.drupal.org/files/projects/${P}.tar.gz";
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE="+mysql postgres sqlite +uploadprogress"
+
+RDEPEND="
+       dev-lang/php[gd,hash(+),mysql?,pdo,postgres?,simplexml,sqlite?,xml]
+       virtual/httpd-php
+       uploadprogress? ( dev-php/pecl-uploadprogress )
+"
+
+need_httpd_cgi
+
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+src_install() {
+       webapp_src_preinst
+
+       local docs="MAINTAINERS.txt LICENSE.txt INSTALL.txt CHANGELOG.txt 
INSTALL.mysql.txt INSTALL.pgsql.txt INSTALL.sqlite.txt UPGRADE.txt "
+       dodoc ${docs}
+       rm -f ${docs} INSTALL COPYRIGHT.txt || die
+
+       cp sites/default/{default.settings.php,settings.php} || die
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+
+       dodir "${MY_HTDOCSDIR}"/files
+       webapp_serverowned "${MY_HTDOCSDIR}"/files
+       webapp_serverowned "${MY_HTDOCSDIR}"/sites/default
+       webapp_serverowned "${MY_HTDOCSDIR}"/sites/default/settings.php
+
+       webapp_configfile "${MY_HTDOCSDIR}"/sites/default/settings.php
+       webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+       webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+
+       webapp_src_install
+}
+
+pkg_postinst() {
+       echo
+       ewarn "SECURITY NOTICE"
+       ewarn "If you plan on using SSL on your Drupal site, please consult the 
postinstall information:"
+       ewarn "\t# webapp-config --show-postinst ${PN} ${PV}"
+       echo
+}

Reply via email to